Page MenuHomePhabricator

C2. Implement patrolling other people's edits in Flow
Closed, ResolvedPublic3 Story Points

Description

Wiki contributors use edit patrolling to make sure that a trusted contributor has looked at a newbie's edit, and thinks it's a good contribution. When there's an unpatrolled edit, that item has a red exclamation point in recent changes and watchlist. The experienced contributor can review the edit on the diff page or the oldid page, and click a link to signal they've marked it as patrolled. See below for example screenshots.

For Flow posts and edits made by users who need to be patrolled:

On the oldid page, put a link that says [ Mark this page as patrolled ]

On the diff page, put a link that says [ Mark as patrolled ]

Those link to an &action=markpatrolled link.

When you click that, the [ Mark as patrolled ] link disappears, and there's a temporary modal (mw.notify): "The change to Pagename has been marked as patrolled."

Examples and screenshots:

Link to oldidpage from recent changes:

Link to oldidpage from history:

Wikitext oldid page, showing the mark as patrolled link:

Flow oldid page, where the link should be:

Wikitext diff page, showing the mark as patrolled link:

Flow diff page, where the link should be:

Example of the &action=markpatrolled link:

The temporary modal that says the edit has been patrolled:

In grouped recent changes, the clickable timestamps should also be a link to the oldid page:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
He7d3r updated the task description. (Show Details)Apr 13 2015, 10:30 PM
DannyH assigned this task to Pginer-WMF.Apr 24 2015, 8:35 PM
DannyH updated the task description. (Show Details)
DannyH added a project: Design.

A question for the smart people who know things:

As far as I understand it, the [ Mark as patrolled ] link appears on the diff page.

But -- new pages don't have a diff page, and Flow treats posts as if they're each a new page. So where does the Mark as patrolled link go?

On wikitext pages, it shows in the footer on both the regular view and oldid view of the original revision (maybe later revisions too), if the oldest revision is unpatrolled (which it would be for a fresh new page).

Our analogy to the first oldid view is http://flow-tests.wmflabs.org/w/index.php?title=Topic:Sd4yv8rsdn6x53h0&topic_postId=sd7ejjb1nqh8j49i&topic_revId=sd7ejjb1nqh8j49i&action=single-view . We could show it in the footer there.

For the post itself in normal view, we could consider showing it in ... menu.

Hmm, I can see how you get to the oldid view from the history page if you click on the time/datestamp link, but I don't see a way to get there from recent changes.

So if you want to edit patrol these new pages from RC, where would you click?

DannyH removed Pginer-WMF as the assignee of this task.May 18 2015, 9:33 PM
DannyH updated the task description. (Show Details)
DannyH added a subscriber: Pginer-WMF.

Per our discussion, the link also shows on normal page views (not just oldid). See first screenshot in my last post.

@Mattflaschen, how would you get to the corresponding page for a Flow post? They all get displayed in the same thread.

For Flow, instead of a link in the bottom right of the view page, we could use a Patrol entry in the ... menu.

I guess that would patrol the initial version of the post, and diffs could be patrolled separately.

I don't want to put an item in the menu -- it's a task that not many people do, and having it in the menu would confuse people.

I think having the link on the diff page and the oldid page is enough -- patrollers will be able to get there from RC and the watchlist.

I don't want to put an item in the menu -- it's a task that not many people do, and having it in the menu would confuse people.

Only people who have the 'patrol' right will see it, though, and only if it's not already patrolled.

Oh, that's a good point. Silly of me not to think of that. Yeah, we could do that. Do you think people would like it?

I think it's consistent with the other moderation actions we already have there (hide, delete, etc.). People will probably be fine with it.

Qgil added a comment.May 21 2015, 5:21 AM

When you say "in the menu", do you mean the drop down menu at the right side of the post? If so, would that mean that patrollers need to open the dropdown to see whaether a post is patrolled and take action?

When you say "in the menu", do you mean the drop down menu at the right side of the post? If so, would that mean that patrollers need to open the dropdown to see whaether a post is patrolled and take action?

Yes. But it's a hover menu, and won't people normally be finding stuff to patrol from Recent Changes or Watchlist (so they'll already know it needs to be patrolled)?

Qgil added a comment.May 21 2015, 6:02 AM

Mmmok, it's worth trying this in real use.

DannyH edited a custom field.Jun 2 2015, 5:52 PM
DannyH renamed this task from Implement patrolling other people's edits in Flow to C2. Implement patrolling other people's edits in Flow.Jun 3 2015, 7:13 PM
DannyH raised the priority of this task from Normal to High.
Restricted Application added a project: Notice. · View Herald TranscriptJun 4 2015, 4:05 PM
DannyH moved this task from Unscheduled to June 2015 on the Roadmap board.Jun 4 2015, 4:06 PM

Change 216312 had a related patch set uploaded (by Sbisson):
[WIP] RC patrolling for Flow

https://gerrit.wikimedia.org/r/216312

DannyH updated the task description. (Show Details)Jun 9 2015, 9:26 PM

Roan pointed out that Stephane's patch didn't have a way to get to the oldid page from grouped recent changes.

That's my bad, I forgot to call that out specifically. I updated the ticket, and added a screenshot:

The timestamp is not even a link when there is only one entry (no grouping). The diff link is not working. And there is less information compared to the non-grouped RC page.
Should we also address those? It starts to look like a new story.


Yeah, good idea -- let's do grouped RC as a separate ticket. This one can go through review without the grouped RC links.

Change 216312 merged by jenkins-bot:
RC patrolling for Flow

https://gerrit.wikimedia.org/r/216312

I just patrolled some test edits on Catalan Beta. It looks good to me...

http://ca.wikipedia.beta.wmflabs.org/wiki/Especial:Canvis_recents

Is it supposed to show

02:20, 11 June 2015 ... marked revision 0 of page Tema:lkjahsdlkjahdlkjahdlkjahsd

at
http://ca.wikipedia.beta.wmflabs.org/wiki/Especial:Registre/patrol?uselang=en
?

DannyH moved this task from June 2015 to June 15-19 on the Roadmap board.Jun 11 2015, 4:03 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 11 2015, 4:48 PM

Thx!

Is it supposed to show
02:20, 11 June 2015 ... marked revision 0 of page Tema:lkjahsdlkjahdlkjahdlkjahsd
at
http://ca.wikipedia.beta.wmflabs.org/wiki/Especial:Registre/patrol?uselang=en
?

Filed as a bug https://phabricator.wikimedia.org/T102191

Couple of issues are still to be addressed

  • Link to oldidpage from history - edits are not marked as patrolled
  • In grouped recent changes, the clickable timestamps should also be a link to the oldid page

Note: Maybe [ Mark this post/comment/title/description/edit as patrolled ] should be used instead of
[ Mark this page as patrolled ] ?

Couple of issues are still to be addressed

  • Link to oldidpage from history - edits are not marked as patrolled
  • In grouped recent changes, the clickable timestamps should also be a link to the oldid page

The grouped RC thing was split off from this task last week as T102021: D4. Edit patrolling links in grouped RC (CA).

DannyH closed this task as Resolved.Jun 12 2015, 4:38 PM

Done, looks great.

gpaumier moved this task from Triaged to Archive on the Notice board.Jun 26 2015, 8:26 PM

This is not working for me. The link which would give me access to a page with the patrol link is just plain text:

For Flow posts, the link to click on is the timestamp. That takes you to the oldid page, where there's a Mark as patrolled link.

We didn't link "diff" to oldid, because it's not a diff page, and that would probably be even more confusing.

Does that work for you?

He7d3r added a comment.EditedJun 30 2015, 10:55 AM

Not really, as I'll probably have to put a JS in place to scrap the page and move/copy the link to the right place (i.e. the same place were I find it on normal pages).

Hmm. Where do you click when it's a new page that should be patrolled?

I click in the page title. But notice

  • "Wikipédia:Contato/Fale com a Wikipédia" is not a new page, and a new comment to an existing page should not behave like the creation of a new page.
  • Even if it was, clicking on the page title which appears in the Watchlist (or even in the topic title, which in the screenshot is "Gravei Pagina por engano!") opens a page where there is no link to [Mark this page as patrolled].
  • The timestamp is not linked for normal pages (either on the watchlist, the [usual] recent changes, or the real time recent changes [https://github.com/Krinkle/mw-gadget-rtrc/]), so linking it on Flow comments makes the interface inconsitent

I click in the page title. But notice

  • "Wikipédia:Contato/Fale com a Wikipédia" is not a new page, and a new comment to an existing page should not behave like the creation of a new page.

A new post is closer to a new page than a diff (linking diff would just be wrong, since it doesn't go to a diff), but it's not quite the same as a new page either.

I'm open to moving that link around if it's causing a problem. Using the diff link would be odd, but we've done a lot of odd things in the name of progress. I'd like to know if other people are finding it hard... we should ask on Catalan or Hebrew.

He7d3r added a comment.Jul 1 2015, 5:10 PM
In T94452#1415352, @Mattflaschen wrote:

...linking diff would just be wrong, since it doesn't go to a diff

But it should go to something like
https://pt.wikipedia.org/w/index.php?diff=41090510
https://pt.wikipedia.org/wiki/Special:Diff/41090510
although that might depend on fixing T62465 and ?diff=... links first. Other option is to link to the highlighted comment, as in:
https://www.mediawiki.org/w/index.php?title=Topic:Ro0lqev2ofj3gmew&topic_showPostId=ro2wbcsqzrhqjiq8#flow-post-ro2wbcsqzrhqjiq8
instead of something out of context like
https://pt.wikipedia.org/w/index.php?title=T%C3%B3pico:Sk8037uslvdhdq5b&topic_postId=sk81q8ypij9f4bes&topic_revId=sk81q8ypij9f4bes&action=single-view